Alembic Version 1.1

Namespaces | Macros | Functions
MaterialAssignment.h File Reference
`#include <Alembic/Util/Export.h>`
`#include <Alembic/AbcMaterial/IMaterial.h>`
`#include <Alembic/AbcMaterial/OMaterial.h>`
Include dependency graph for MaterialAssignment.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Alembic
| Alembic namespace ...
namespace | Alembic::AbcMaterial
namespace | Alembic::AbcMaterial::ALEMBIC_VERSION_NS

## Macros
#define | MATERIALASSIGN_PROPNAME ".material.assign"
#define | MATERIAL_PROPNAME ".material"

## Functions
ALEMBIC_EXPORT void | Alembic::AbcMaterial::ALEMBIC_VERSION_NS::addMaterialAssignment (Abc::OObject iObject, const std::string &iValue, const std::string &iPropName=MATERIALASSIGN_PROPNAME)
ALEMBIC_EXPORT void | Alembic::AbcMaterial::ALEMBIC_VERSION_NS::addMaterialAssignment (Abc::OCompoundProperty iProp, const std::string &iValue, const std::string &iPropName=MATERIALASSIGN_PROPNAME)
ALEMBIC_EXPORT OMaterialSchema | Alembic::AbcMaterial::ALEMBIC_VERSION_NS::addMaterial (Abc::OObject iObject, const std::string &iPropName=MATERIAL_PROPNAME)
ALEMBIC_EXPORT OMaterialSchema | Alembic::AbcMaterial::ALEMBIC_VERSION_NS::addMaterial (Abc::OCompoundProperty iProp, const std::string &iPropName=MATERIAL_PROPNAME)
ALEMBIC_EXPORT bool | Alembic::AbcMaterial::ALEMBIC_VERSION_NS::getMaterialAssignmentPath (Abc::IObject iObject, std::string &oResult, const std::string &iPropName=MATERIALASSIGN_PROPNAME)
ALEMBIC_EXPORT bool | Alembic::AbcMaterial::ALEMBIC_VERSION_NS::getMaterialAssignmentPath (Abc::ICompoundProperty iProp, std::string &oResult, const std::string &iPropName=MATERIALASSIGN_PROPNAME)
ALEMBIC_EXPORT bool | Alembic::AbcMaterial::ALEMBIC_VERSION_NS::hasMaterial (Abc::IObject iObject, IMaterialSchema &oResult, const std::string &iPropName=MATERIAL_PROPNAME)
ALEMBIC_EXPORT bool | Alembic::AbcMaterial::ALEMBIC_VERSION_NS::hasMaterial (Abc::ICompoundProperty iCompound, IMaterialSchema &oResult, const std::string &iPropName=MATERIAL_PROPNAME)

## Macro Definition Documentation

## ◆ MATERIAL_PROPNAME

#define MATERIAL_PROPNAME ".material"

Definition at line 50 of file MaterialAssignment.h.

## ◆ MATERIALASSIGN_PROPNAME

#define MATERIALASSIGN_PROPNAME ".material.assign"

Definition at line 49 of file MaterialAssignment.h.